Get static packages¶
GET/
Endpoint API · Packages
Get all static packages available for the tenant.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
sort | query | array of string | No | Defines how to sort the data. Each item must match the pattern (^[^:]+$)|(^[^:]+:(asc|desc)$). |
endpointType | query | string | No | Show static packages by endpoint type. Must be one of: computer, server. |
platform | query | string | No | Filter to the platform of the static package. Must be one of: windows, linux, macOS. |
type | query | string | No | Show the type of static package. Must be one of: fixed, special, lts. |
expiresFrom | query | string (date) | No | Show static packages that expire on or after this date (inclusive). |
expiresTo | query | string (date) | No | Show static packages that expire before this date (exclusive). |
releasedFrom | query | string (date) | No | Show static packages that were released on or after this date (inclusive). |
releasedTo | query | string (date) | No | Show static packages that were released before this date (exclusive). |
Request samples¶
curl -X GET "https://api-<data-region>.central.sophos.com/endpoint/v1/software/packages/static" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api-<data-region>.central.sophos.com/endpoint/v1/software/packages/static",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/software/packages/static" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/endpoint/v1/software/packages/static", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/software/packages/static", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — All static packages.¶
Response fields
itemsarray of objectrequiredStatic packages.
Static package.
Show child attributesHide child attributes
idstring (uuid)requiredStatic package ID.
namestringrequiredStatic package description.
releasedAtstring (date)requiredStatic package publication date.
expiresAtstring (date)requiredStatic package expiration date.
typestringrequiredStatic package type.
Must be one of:
Must be one of:
fixed, special, lts.platformstringrequiredOS platform type.
Must be one of:
Must be one of:
windows, linux, macOS.endpointTypestringEndpoint type. Please note that the type
Must be one of:
securityVm is no longer used.Must be one of:
computer, server, securityVm.modulesarray of objectrequiredEndpoint modules in this static package.
Single endpoint module.
Show child attributesHide child attributes
namestringrequiredThe installed endpoint module.
Must be one of:
Must be one of:
coreAgent, deviceEncryption, interceptX, mdr.versionstringrequiredModule version.
packageNotesUrlstring (uri)Link to the static package release notes.
visiblebooleanrequiredIf the software package is visible and assignable to policies.
Errors¶
| Status | Meaning |
|---|---|
400 | Bad Request. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"items": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"releasedAt": "2022-10-12",
"expiresAt": "2022-02-12",
"type": "fixed",
"platform": "windows",
"endpointType": "computer",
"modules": [
{
"name": "coreAgent",
"version": "2022.1.0.40"
}
],
"packageNotesUrl": "https://example.com",
"visible": true
}
]
}
See the guide for a narrative walkthrough of this API.